var util = require('../../../../utils/util.js');
var api = require('../../../../config/api.js');


Page({ 
  /**
   * 页面的初始数据
   */
  data: {
    dialogShow:false,
    detailList: [],
    showType: 1,
    page: 1,
    limit: 10,
    totalPages: 1,
    orderId:'',
    actualPrice:''
  }, 
  bindKeyInput(e){
    this.setData({
      actualPrice: e.detail.value
    })
  },
  showEditDialog(e){
    let id=e.currentTarget.dataset.id;
    let price=e.currentTarget.dataset.price
    this.setData({
      orderId:id,
      actualPrice:price,
      dialogShow:true
    })
  },
  onClose(){
    this.setData({
      dialogShow:false
    })
  },
  editAmount(){
    util.request(api.OrderEdit, { 
      orderId:this.data.orderId,
      actualPrice:this.data.actualPrice
    }, "POST").then((res)=>{
      if (res.errno === 0) {
        console.log(res.data);
        this.setData({
          detailList: [],
          page: 1,
          limit: 10,
          totalPages: 1,
          dialogShow:false
        });
        this.getWaitDetailList();
      }
    });
  },
  onTabChange(e){
 
    let showType = e.detail.name;
    this.setData({
      detailList: [],
      page: 1,
      limit: 10,
      totalPages: 1
    });
    if(showType=='2'){
      this.getDetailList();
    }else{
      this.getWaitDetailList();
    }
  
    },
   
    getWaitDetailList() {
      let that = this;
      util.request(api. DisCommissionWaitDetail, { 
        page: that.data.page,
        limit: that.data.limit
      }).then(function(res) {
        if (res.errno === 0) {
          console.log(res.data);
          that.setData({
            detailList: that.data.detailList.concat(res.data.list),
            totalPages: res.data.pages
          });
        }
      });
    },  
  getDetailList() {
    let that = this;
    util.request(api.DisCommissionDetail, { 
      page: that.data.page,
      limit: that.data.limit
    }).then(function(res) {
      if (res.errno === 0) {
        console.log(res.data);
        that.setData({
          detailList: that.data.detailList.concat(res.data.list),
          totalPages: res.data.pages
        });
      }
    });
  },  
  makeCall(e){
    wx.makePhoneCall({
      phoneNumber: e.currentTarget.dataset.mobile
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    // this.getDetailList();
    this.getWaitDetailList();
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.totalPages > this.data.page) {
      this.setData({
        page: this.data.page + 1
      });
      if(this.data.showType=='2'){
        this.getWaitDetailList();
      }else{
        this.getDetailList();
      }
     
    } else {
      wx.showToast({
        title: '没有更多明细了',
        icon: 'none',
        duration: 2000
      });
      return false;
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})